STU3 DiagnosticReport
The DiagnosticReport resource describes the "findings and interpretation of diagnostic tests performed on patients, groups of patients, devices, and locations, and/or specimens derived from these. The report includes clinical context such as requesting and provider information, and some mix of atomic results, images, textual and coded interpretations, and formatted representation of diagnostic reports." HL7 FHIR STU3 DiagnosticReport
Supported Profiles
This API supports the following FHIR profiles:
Operations
The General Purpose STU3 API DiagnosticReport resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.
| CareRecord / Solution | Create | Read | Update | Search |
|---|---|---|---|---|
| GEHRIMED | - | Yes | - | Yes |
| myAvatar | - | Yes | - | Yes |
| myEvolv | - | Yes | - | Yes |
| myUnity | - | Yes | - | Yes |
Search
Not all Netsmart solutions support DiagnosticReport search. See supported operations table above and consult your target solution's documentation for more information.
This operation retrieves a list of resources by these query parameters.
Standard Parameters
| Name | Type | Description |
|---|---|---|
| patient | reference | REQUIRED The subject of the report (if a patient) |
Custom Parameters
| Name | Type | Description |
|---|---|---|
| end | date | DiagnosticReport start date/time |
| start | date | DiagnosticReport end date/time |
Search Examples
Via POST
The POST method is recommended as it keeps health information out of the URL.
- Production
- Preview
curl -X POST https://fhir.netsmartcloud.com/fhir/DiagnosticReport/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/678"
curl -X POST https://fhirtest.netsmartcloud.com/fhir/DiagnosticReport/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/678"
Via GET
- Production
- Preview
curl -X GET "https://fhir.netsmartcloud.com/fhir/DiagnosticReport?patient=Patient/678" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"
curl -X GET "https://fhirtest.netsmartcloud.com/fhir/DiagnosticReport?patient=Patient/678" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"